<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Session\Store;
use Illuminate\Support\Facades\Auth;

class AdminAuthentication
{
    protected $session;
    protected $timeout = 600000; 

    public function __construct(Store $session){
        $this->session = $session;
    }
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        if (Auth::check()) {
            // return $next($request);

            $response = $next($request);
            $response->header('Cache-Control', 'no-cache, must-revalidate');
            // Or whatever you want it to be:
            // $response->header('Cache-Control', 'max-age=100');
            return $response;
        }
        else{
            Auth::logout();
            return redirect('/admin-login');
        }
    }
}
