<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Owner extends Model
{
  
  # define table
  protected $table ='owners';
  
  # define fillable fields
  protected $fillable = [
  					   'name',
  	                   'email',
  	                   'mobile',
  	                   'country_id',
                       'state_id',
                       'city_id',
                       'address',
                       'type',
                       'profile_image',
                       'status',
  ];


      /**
    * relation with city
    * @param
    * @return
    */
    public function cityData()
    {
    return $this->belongsTo('App\Models\City', 'city_id', 'id');
    }

    /**
    * relation with state
    * @param
    * @return
    */
    public function stateData()
    {
    return $this->belongsTo('App\Models\State', 'state_id', 'id');
    }


    /**
    * relation with country
    * @param
    * @return
    */
    public function countryData()
    {
    return $this->belongsTo('App\Models\Country', 'country_id', 'id');
    }
}
