<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateBusinessTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('business', function (Blueprint $table) {
            $table->id();
            $table->integer('owner_id')->nullable()->index();
            $table->string('name')->nullable()->index();
            $table->string('email')->nullable()->index();
            $table->string('mobile')->nullable()->index();
            $table->string('alt_mobile')->nullable()->index();
            $table->string('address')->nullable()->index();
            $table->string('latitude')->nullable()->index();
            $table->string('longitude')->nullable()->index();
            $table->string('username')->nullable()->index();
            $table->string('password')->nullable()->index();
            $table->string('logo')->nullable()->index();
            $table->string('website_url')->nullable()->index();
            $table->longText('description')->nullable();

            $table->string('openTimeMonday')->nullable();
            $table->string('closeTimeMonday')->nullable();
            $table->string('openTimeTuesday')->nullable();
            $table->string('closeTimeTuesday')->nullable();
            $table->string('openTimeWednesday')->nullable();
            $table->string('closeTimeWednesday')->nullable();
            $table->string('openTimeThursday')->nullable();
            $table->string('closeTimeThursday')->nullable();
            $table->string('openTimeFriday')->nullable();
            $table->string('closeTimeFriday')->nullable();
            $table->string('openTimeSaturday')->nullable();
            $table->string('closeTimeSaturday')->nullable();
            $table->string('openTimeSunday')->nullable();
            $table->string('closeTimeSunday')->nullable();
            
            $table->boolean('status')->default(1);
        $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('business');
    }
}
