@extends('admin.layout.app')
@section('content')

  <div class="content-wrapper">
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0">Business Management</h1> </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="{{url('admin/dashboard')}}"><i class="fas fa-home"></i></a>
                                </li>
              <li class="breadcrumb-item active">Business</li>

            </ol>
          </div>
        </div>
      </div>
    </div>

  
 <section class="content">
    <div class="container-fluid">
      <div class="row">
        <div class="col-12">
          <div class="card">
            <div class="d-flex justify-content-end mb-3">
              <button type="button" data-href="{{ action('Admin\BusinessController@create') }}" class="btn btn-secondary add_model" data-toggle="modal" data-target="#add_model" style="float:right;">Add Business</button>
            </div>
            <div class="card-body">
              <table id="example" class="table table-bordered table-striped">
                <thead>
                  <tr>
                    <th>S No.</th>
                    <th>Owner Name</th>
                    <th>Name</th>
                    <th>Email</th>
                    <th>Mobile</th>
                    <th>Username</th>
                    <th>logo</th>
                    <th>Address</th>
                    <th>Action</th>
                  </tr>
                </thead>
                <tbody>
                   @php 
                     $sr = 1; 
                     $page=1;
                     if(Request::input('page'))
                     $page=Request::input('page');
                     $sort = $business_list->perPage();
                   @endphp 
                  @foreach($business_list as $key=>$business)
                  <tr>
                    <td>{{$key+1}}</td>
                    <td>{{$business->ownerData ? $business->ownerData->name : ''}}</td>
                    <td>{{$business->name ?? ''}}</td>
                    <td>{{$business->email ?? ''}}</td>
                    <td>{{$business->mobile ?? ''}}</td>
                    <td>{{$business->username ?? ''}}</td>
                    <td>@if($business->logo)
                              <img src="{{asset($business->logo ?? 'notImage.jpg')}}" class="max-width-1">
                            @else
                              <img src="{{asset('notImage.jpg')}}" class="max-width-1">
                            @endif</td>
                    <td>{{$business->address ?? ''}}</td>
                      <td>
                          <div style="display: flex;">
                                <button type="button" data-href="{{ action('Admin\BusinessController@update',[$business->id]) }}" class="btn btn-warning text-white btn-sm mr-2 edit_model" data-toggle="modal" data-target="#edit_model"><i class="fas fa-edit"></i></button>
                              
                          </div>   
                      </td>
                    </tr>
                    @endforeach
                    </tbody>
                </table>

                <div class="row">
                     <div class="col-md-6 text-left" style="margin: 20px 0px;">
                       Showing  {{$business_list->firstItem()}} to {{$business_list->lastItem()}} of {{$business_list->total()}} entries
                     </div>
                     <div class="col-md-6 text-right paginationBlock">
                       {!! $business_list->appends(request()->input())->links() !!}
                     </div>
                   </div>

              </div>

            </div>
          </div>
        </div>
      </div>
    </div>
  </section>
</div>



@endsection