@extends('admin.layout.app')
@section('content')

  <div class="content-wrapper">
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0">Owner Management</h1> </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="{{url('admin/dashboard')}}"><i class="fas fa-home"></i></a>
                                </li>
              <li class="breadcrumb-item active">Owner</li>

            </ol>
          </div>
        </div>
      </div>
    </div>

  
 <section class="content">
    <div class="container-fluid">
      <div class="row">
        <div class="col-12">
          <div class="card">
            <div class="d-flex justify-content-end mb-3">
              <button type="button" data-href="{{ action('Admin\OwnerController@create') }}" class="btn btn-secondary add_model" data-toggle="modal" data-target="#add_model" style="float:right;">Add Owner</button>
            </div>
            <div class="card-body">
              <table id="example" class="table table-bordered table-striped">
                <thead>
                  <tr>
                    <th>S No.</th>
                    <th>Name</th>
                    <th>Email</th>
                    <th>Mobile</th>
                    <th>Type</th>
                    <th>Country</th>
                    <th>State</th>
                    <th>City</th>
                    <th>Address</th>
                    <th>Action</th>
                  </tr>
                </thead>
                <tbody>
                   @php 
                     $sr = 1; 
                     $page=1;
                     if(Request::input('page'))
                     $page=Request::input('page');
                     $sort = $owner_list->perPage();
                   @endphp 
                  @foreach($owner_list as $key=>$owner)
                  <tr>
                    <td>{{$key+1}}</td>
                    <td>{{$owner->name ?? ''}}</td>
                    <td>{{$owner->email ?? ''}}</td>
                    <td>{{$owner->mobile ?? ''}}</td>
                    <td>{{$owner->type ?? ''}}</td>
                    <td>{{$owner->countryData ? $owner->countryData->name : ''}}</td>
                    <td>{{$owner->stateData ? $owner->stateData->name : ''}}</td>
                    <td>{{$owner->cityData ? $owner->cityData->name : ''}}</td>
                    <td>{{$owner->address ?? ''}}</td>
                    
                      <td>
                          <div style="display: flex;">
                                <button type="button" data-href="{{ action('Admin\OwnerController@update',[$owner->id]) }}" class="btn btn-warning text-white btn-sm mr-2 edit_model" data-toggle="modal" data-target="#edit_model"><i class="fas fa-edit"></i></button>
                              
                          </div>   
                      </td>
                    </tr>
                    @endforeach
                    </tbody>
                </table>

                <div class="row">
                     <div class="col-md-6 text-left" style="margin: 20px 0px;">
                       Showing  {{$owner_list->firstItem()}} to {{$owner_list->lastItem()}} of {{$owner_list->total()}} entries
                     </div>
                     <div class="col-md-6 text-right paginationBlock">
                       {!! $owner_list->appends(request()->input())->links() !!}
                     </div>
                   </div>

              </div>

            </div>
          </div>
        </div>
      </div>
    </div>
  </section>
</div>



@endsection