<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/




Route::get('/admin-login', 'Admin\LoginController@index')->name('admin-login');
Route::post('/admin/login', 'Admin\LoginController@login')->name('admin_login');


Route::middleware(['cacheControl','admin_auth'])->prefix('admin')->namespace('Admin')->group(function ()
{

  
    Route::any('logout', 'LoginController@logout');
    Route::any('profile', 'LoginController@profile');
    Route::any('edit-profile', 'LoginController@edit_profile');
    Route::any('change-password', 'LoginController@change_password');

    #Dashboard
    Route::get('dashboard', 'DashboardController@index');


    #OrderType Management
    Route::get('order-type', 'OrderTypeController@index');
    Route::get('add-order-type', 'OrderTypeController@create');
    Route::post('store-order-type', 'OrderTypeController@store');
    Route::get('update-order-type/{id}', 'OrderTypeController@update');
    Route::post('edit-order-type', 'OrderTypeController@edit');
    Route::delete('delete-order-type/{id}', 'OrderTypeController@delete');

    #Category Management
    Route::get('category', 'CategoryController@index');
    Route::get('add-category', 'CategoryController@create');
    Route::post('store-category', 'CategoryController@store');
    Route::get('update-category/{id}', 'CategoryController@update');
    Route::post('edit-category', 'CategoryController@edit');
    Route::delete('delete-category/{id}', 'CategoryController@delete');

    #SubCategory Management
    Route::get('sub-category', 'SubCategoryController@index');
    Route::get('add-sub-category', 'SubCategoryController@create');
    Route::post('store-sub-category', 'SubCategoryController@store');
    Route::get('update-sub-category/{id}', 'SubCategoryController@update');
    Route::post('edit-sub-category', 'SubCategoryController@edit');
    Route::delete('delete-sub-category/{id}', 'SubCategoryController@delete');

    #Owner Management
    Route::get('owner', 'OwnerController@index');
    Route::get('add-owner', 'OwnerController@create');
    Route::post('store-owner', 'OwnerController@store');
    Route::get('update-owner/{id}', 'OwnerController@update');
    Route::post('edit-owner', 'OwnerController@edit');
    Route::delete('delete-owner/{id}', 'OwnerController@delete');
    Route::get('json-state', 'OwnerController@jsonState')->name('json-state');
    Route::get('json-city', 'OwnerController@jsonCity')->name('json-city');

    #Business Management
    Route::get('business', 'BusinessController@index');
    Route::get('add-business', 'BusinessController@create');
    Route::post('store-business', 'BusinessController@store');
    Route::get('update-business/{id}', 'BusinessController@update');
    Route::post('edit-business', 'BusinessController@edit');
    Route::delete('delete-business/{id}', 'BusinessController@delete');


    
  

});


